## debian-edu-config 0.393

=== debian/changelog ===
debian-edu-config (0.393) unstable; urgency=low

  * Andreas Schuldei
    - Remove unnecessary and wrong lines from the autofs.ldif. objectclasses
      OU and automoutMap can not be in the same ldap entry, with stricter
      checking as in openldap 2.1.X.
  * Finn-Arne Johansen
    - Remove path from temporary filename for ldap-user-clean-attic.sh.
      (Fixes skolelinux bug #786)
  * Petter Reinholdtsen
    - Add debconf template install rule.
    - Add quotes (") around the value stored in
      /etc/default/update-hostname to make sure it is a valid sh-script
      even if the value is junk.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Jun 2004 10:16:04 +0200

debian-edu-config (0.392) woody; urgency=low

  * Petter Reinholdtsen
    - Change xfree86 test to only warn if X isn't running.  X is
      started after the test is executed, so it isn't really an error.
    - Make it possible to configure init.d/update-hostname at install
      time using an hidden debconf value.
    - Restart bind before ntpd, as ntpd need to look up 'ntp' in DNS.
  * Finn-Arne Johansen
    - Added ldap-user-clean-attic.sh to the command line ldap tools
    - Changed number of imap clients allowd to connect from same host
      (closes: #459)

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 14 Jun 2004 09:27:02 +0200

debian-edu-config (0.391) woody; urgency=low

  * Finn-Arne Johansen
    - Improved a workaround for bug #286 in skolelinux, #156332 in debian
      to ensure that the dhcp server is restartable after installation

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 12 Jun 2004 22:06:24 +0200

debian-edu-config (0.390) woody; urgency=low

  * Petter Reinholdtsen
    - Only test XFree86, kdm and xfs if it is supposed to
      be installed (!Main-Server).
    - Insert code in debian-edu-restart-services to force dhcpd
      restart as a workaround for skolelinux bug #286.  Not sure if it
      works, but it is better to have this code here instead of in
      debian-edu-install.
    - Add test to check if host 'ldap', 'ntp', 'syslog' and 'webcache'
      is reachable.
    - Started in README on highlevel description of the configuration
      changes done.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Jun 2004 00:04:30 +0200

debian-edu-config (0.389) unstable; urgency=low

  * Finn-Arne Johansen
    - Fetch sambasid for PDC instead of domain.
  * Petter Reinholdtsen
    - Rewrote samba-debian-edu-admin script to make timeout length a
      variable, and to fetch hostname short form only once.
    - Remove trailing space from line ends and the
      samba-debian-edu-admin file.

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  3 Jun 2004 18:07:44 -0300

debian-edu-config (0.388) unstable; urgency=low

  * Finn-Arne Johansen
    - Set smaller cache size for mozilla
    - Fixed type and missing entries in mozilla proxy settings

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 31 May 2004 01:53:18 -0300

debian-edu-config (0.387) unstable; urgency=low

  * Finn-Arne Johansen
    - Fixed some missing samba objects to the ldap tree.
    - Changed procedure to fetch sambaSID.
    - Updated Makefile to include cf.mozilla.
    - Tries to take up the network interface before fetching sambaSID.
    - Changed samba-debian-edu-admin to ensure that sambaSID is
      availible when needed.
    - Disabled samba password change.
    - Disabled samba root access to shared resources.
    - Added sample entry for assigning static ip to workstations,
      (fixes SL #750).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 28 May 2004 14:36:35 -0300

debian-edu-config (0.386) unstable; urgency=medium

  * Finn-Arne Johansen
      - Updated slapd.conf to limit the write access of smbadmin

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 21 May 2004 23:36:04 +0200

debian-edu-config (0.385) unstable; urgency=medium

  * Petter Reinholdtsen
    - Change webmin test to check the config file before checking if
      the server is listening to the correct port.  Also changed it to
      not die on the first error, but to do all checks before setting
      the return code.
  * Finn-Arne Johansen
    - Changed DHCP lease time.
    - Moved samba clients to a subtree under ou=People.
  * Andreas Schuldei
    - Make the retrival of the machine group dynamic in
      etc/samba/smbaddclient.pl.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 20 May 2004 22:28:22 +0200

debian-edu-config (0.384) unstable; urgency=low

  * Finn-Arne Johansen
    - Changed config of samba, and rewritten smbaddclient.pl script to
      ease the adding of NT clients.
    - Removed nss_base_passwd from libnss-ldap.conf to allow use of
      ou=machines for samba clients.
    - Added config for mozilla to use webcache, and kprinter.
  * Petter Reinholdtsen
    - Reinsert nss_base_passwd into libnss-ldap.conf, as it might have
      unwanted side effects, like removed users and machines showing
      up as existing users.
    - Add test for webmin allow line in /etc/webmin/miniserv.conf.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 May 2004 19:44:45 +0200

debian-edu-config (0.383) unstable; urgency=low

  * adding organisational unit Machines to root.ldif for samba.

 -- Andreas Schuldei <andreas@debian.org>  Wed,  5 May 2004 21:38:39 +0200

debian-edu-config (0.382) unstable; urgency=low

  * Finn-Arne Johansen
    - Added missing samba-debian-edu-install script
  * Andreas Schuldei
    - performance tuning for slapd: adding some indices and keeping the db in
      RAM

 -- Andreas Schuldei <andreas@debian.org>  Wed, 28 Apr 2004 19:12:41 +0200

debian-edu-config (0.381) unstable; urgency=low

  * Finn-Arne Johansen
    - Added config for samba 3.0
  * Petter Reinholdtsen
    - Only create samba LDAP config on first time install.

 -- Andreas Schuldei <andreas@debian.org>  Wed, 28 Apr 2004 17:27:13 +0200

debian-edu-config (0.380) unstable; urgency=low

  * Petter Reinholdtsen

