## debian-edu-config 0.396

=== debian/changelog ===
debian-edu-config (0.396) unstable; urgency=low

  * Correct code to make sure /etc/kde[23]/kioslaverc.  It need to
    create the file if it missing, as the 'files' section is executed
    before the 'shellcommands' section.
  * Remove share/debian-edu/common/share/config/kioslaverc.  Not all
    profiles uses a proxy (standalone does not), so KDE should not
    always use a proxy.
  * Move editing of /etc/ldap/ldap.conf from cf.ldapclient to
    cf.ldapserver where it belongs, and where it can be part of the
    cfengine rules already editing the file.
  * Do the same editing of /etc/ldap/ldap.conf in woody and sarge, as
    the rules were similar enough, and seem to differ only for
    historical reasons.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Oct 2004 20:43:23 +0200

debian-edu-config (0.395) unstable; urgency=low

  * Finn-Arne Johansen
    - Set Thin client nfs-access to be async
    - Added, but deactivated code to set nscd cache size
    - Updated ldap initialisation to set up group mapping from unix
      group admins to samba group "Domain Admins" (fixes skolelinux
      bug #812)
    - Updated format for slapd.conf to specify both ldap and ldaps as
      service
    - Added pointer to certificate file on sarge server install
    - Set ldap clients to never check certificate
    - Updated samba.schema to support sambaPasswordHistory
    - Added test for squid spool dir ownership
    - Added host definition for ldap-clients
  * Klaus Ade Johnstad
    - Added some more host-templates in dhcpd-debian-edu.conf,
      and some space between the lines, to avoid some gruff
      in the comment fields in webmin-dhcp.
  * Petter Reinholdtsen
    - Add test to detect errors with /etc/kde[23]/kioslaverc.
    - Make sure /etc/kde[23]/kioslaverc is readable by all.
  * Maximilian Wilhelm
    - Complete rewrite of /etc/group to LDAP migration script.

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Oct 2004 16:29:20 -0400

debian-edu-config (0.394) unstable; urgency=low

  * Finn-Arne Johansen
    - Fixed bashism in detection of workstation profile in cfengine.conf
    - Added slapdconfig for sarge (bdb backend, commented out for now)
    - Changed ldap-bootstrap script to support exim4, and nonexisting samba
    - Added support for sarge in cfengine.conf
    - Fixed squid config for sarge
    - Fixed slapd Database setup for sarge
    - Changed detection of ltspserver profile
  * Petter Reinholdtsen
    - Correct xfree86 test.  It should no longer report errors on
      Main-server installs.
    - Enable postinst code to handle debconf preseeding for
      init.d/update-hostname.  It is now working as it should.
    - Document some problems with init.d/open-backdoor.
    - Make sure open-backdoor print a message when it is enabled.
  * Maximilian Wilhelm
    - Added ldap base dn to client config
    - Added CNAME kerberos for tjener to db.intern
    - Localized debian-edu-hd-warn correctly and added chech if X is running

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  8 Aug 2004 13:28:30 +0200
