=== debian/changelog ===
debian-edu-config (0.397) unstable; urgency=high

  * Andreas Schuldei
    - added afs entries to the named zone files
  * Finn-Arne Johansen
    - Changed samba into using tls instead of ldaps
    - Changed test for services in inetd.conf, not lines containing the
      name of service (Closes: #288912)
  * Klaus Ade Johnstad
    -Removed a space, to avoid errormessage "bad substitution"
     when running /usr/bin/debian-edu-hd-warn

 -- Finn-Arne Johansen <finnarne@(none)>  Thu,  6 Jan 2005 11:48:33 +0100
