=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Finn-Arne Johansen <faj@bzz.no>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper

Package: debian-edu-config
Architecture: all
Depends: cfengine, libconfig-inifiles-perl, iptables, mime-support
Recommends: slapd, openssl
Replaces: ldap-skolelinux, cfengine-skolelinux
Provides: cfengine-skolelinux
Conflicts: ldap-skolelinux (<= 0.1-83), cfengine-skolelinux (<= 0.338), debian-edu-install (<= 0.616), samba (<<3.0.0)
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.
