=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=debian-edu-config

DESTDIR=`pwd`/debian/tmp

build:
	$(checkdir)

	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf $(DESTDIR) debian/files* core debian/substvars
	dh_clean

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)

	dh_testdir
	dh_testroot

	-rm -rf $(DESTDIR)
	install -d $(DESTDIR)
	cd $(DESTDIR) && install -d `cat ../dirs`
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)

	dh_installdebconf
	dh_installdocs
	dh_installdirs
	dh_installcron
	dh_installmodules
	echo /etc/modutils/debian-edu-config >> debian/conffiles
	dh_installinit --init-script open-backdoor
	dh_installinit --init-script enable-nat
	dh_installinit --init-script update-hostname
	dh_installinit --init-script start-wlan
	dh_installinit --init-script report-reboot -r --no-start
	echo /etc/init.d/open-backdoor   >> debian/conffiles
	echo /etc/init.d/enable-nat      >> debian/conffiles
	echo /etc/init.d/update-hostname >> debian/conffiles
	echo /etc/init.d/start-wlan      >> debian/conffiles
	echo /etc/init.d/report-reboot   >> debian/conffiles
	dh_installchangelogs
	dh_gencontrol
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb

	chown -R root.root $(DESTDIR)
	chmod -R go=rX $(DESTDIR)

	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
