## debian-edu-config 0.398

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	debian-edu-test-install skolelinux-test-install
 
 INSTALL     = install -p -m 755
-INSTALL_DATA= install -p -m 644
+INSTALL_DATA= install -D -p -m 644
 
 prefix     = /usr/local
 sysconfdir = /etc
@@ -61,6 +61,7 @@
 	cfd.conf \
 	cfengine.conf \
 	cfrunhosts.pl \
+	cf.sarge-installation-cleanup \
 	cf.kdm_hdwarn
 
 # Files to install in /etc/
@@ -83,7 +84,16 @@
 	exim/exim-ldap-server.conf \
 	filesystems \
 	ldap/slapd-debian-edu.conf \
+	ldap/slapd-sarge_debian-edu.conf \
 	ldap/ssl/slapd-cert.cnf \
+	pam.d/common-auth-ldap-debian-edu \
+	pam.d/common-account-ldap-debian-edu \
+	pam.d/common-password-ldap-debian-edu \
+	pam.d/common-session-winbind-debian-edu \
+	pam.d/common-account-winbind-debian-edu \
+	pam.d/common-auth-winbind-debian-edu \
+	pam.d/common-password-winbind-debian-edu \
+	pam.d/common-session-debian-edu \
 	pam.d/cron-debian-edu \
 	pam.d/cupsys-debian-edu \
 	pam.d/kde-debian-edu \
@@ -97,7 +107,9 @@
 	samba/netlogon/login.bat \
 	samba/netlogon/shortcut.vbs \
 	samba/smb-debian-edu.conf \
-	skel/.kde/share/config/kmailrc
+	samba/smb-winbind-debian-edu.conf \
+	security/pam_mount-winbind-debian-edu.conf \
+	krb5-winbind-debian-edu.conf \
 
 LIBFILES = \
 	mime/packages/debian-edu-mailcap
@@ -183,10 +195,13 @@
 	for f in share/debian-edu/common/share/config/kcookiejarrc \
 		share/debian-edu/common/share/config/artsmessagerc \
 		share/debian-edu/common/share/config/kdeprintrc \
-		share/debian-edu/common/share/config/kioslaverc \
 		share/debian-edu/common/share/config/kpersonalizerrc \
 		share/debian-edu/common/share/config/konquerorrc \
 		share/debian-edu/common/share/mimelnk/applnk/msword.desktop \
+		share/debian-edu/networked-kde2/share/config/kioslaverc \
+		share/debian-edu/networked-kde2/share/config/kmailrc \
+		share/debian-edu/networked-kde3/share/config/kioslaverc \
+		share/debian-edu/networked-kde3/share/config/kmailrc \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
@@ -195,11 +210,11 @@
 		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
 	done
 	for schema in $(SCHEMAS) ; do \
-		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/;\
+		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
 		echo $(schemadir)/$$schema >> debian/conffiles.raw; \
 	done
 	for ldif in $(LDIFS) ; do \
-		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/ ; \
+		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
 		echo $(ldapdir)/$$ldif >> debian/conffiles.raw; \
 	done
