=== debian/changelog ===
debian-edu-config (0.398) unstable; urgency=low

  * Finn-Arne Johansen
    - Added common-auth|account|passwd-ldap-debian-edu for ldap
      authentication, Tried to enable it for Sarge only
      (Closes: #275031).
    - Added detection of sarge in lessdisks-chroot.
    - Added conf-files for winbind/ads authentication, with dummy variables
    - Added pam_env to common session to support /etc/environment
    - better detection of woody/sarge
    - fixed kdm to not show userlist on sarge (Closes: #294048)
    - fixed kdm to allow root logins on server console (Closes: #294047)
    - moved dbootstrap_settings on sarge, to prevent cfengine from detect a
      clean installation if run again
    - Remove custom Xsession, to get kdm to honour
      /etc/alternatives/x-session-manager
    - Rewrite of debian-edu-restart-services
    - Added test for samba to debian-edu-test-install
    - Make sure ldap is stopped during ldap-debian-edu-install
    - Added new imapd.pem for courier-imap-ssl certificate
    - fixed some ACL stuff in ldap-schema/lis.schema to make it work
    - Disabled devfsd for 2.6 kernels (use udev instead)
    - changed slapd-debian-edu.conf -> slapd-sarge_debian-edu.conf to
      support slapd 2.2
    - Moved skript for setting up X in lessdisks ws at boot from d-e-install
      (also updated)
    - Replaced cfengine with cfengine2
    - sett correct path to cfagent
  * Bart Cornelis
    - Set up proxy + kmail when inside a debian-edu network.
  * Petter Reinholdtsen
    - Get PCI reporting working in Sarge.
  * Bjørn Ove Grøtan
    - Updated norEduPerson.schema
  * Andreas Schuldei
    - add writeableBy for ACL usage to ldap-schema/lis.schema

 -- Andreas Schuldei <andreas@debian.org>  Sat,  4 Jun 2005 21:36:07 +0200
