=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: debian-edu-config
 Architecture: all
-Depends: cfengine, libconfig-inifiles-perl, iptables, mime-support
+Depends: cfengine2, libconfig-inifiles-perl, iptables, mime-support
 Recommends: slapd, openssl
 Replaces: ldap-skolelinux, cfengine-skolelinux
 Provides: cfengine-skolelinux
