## debian-edu-config 0.399

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 PROGS = cfengine-debian-edu cfengine-skolelinux \
         update-ini-file update-hostname-from-ip filehandle_ctl.sh \
-	debian-edu-hd-warn skolelinux-hd-warn
+	debian-edu-hd-warn skolelinux-hd-warn debian-edu-lessdisks \
+	debian-edu-ltsp debian-edu-pxelinux.cfg
 
 SPROGS = debian-edu-restart-services skolelinux-restart-services \
 	debian-edu-test-install skolelinux-test-install
@@ -22,6 +23,7 @@
 libdir     = /usr/lib
 pkglibdir  = $(libdir)/debian-edu-config
 mailcapdir = $(libdir)/mime/packages
+vardir     = /var
 
 CFFILES = \
 	cf.amanda \
@@ -45,6 +47,7 @@
 	cf.ltsp \
 	cf.mime-support \
 	cf.mozilla \
+	cf.munin \
 	cf.nagios \
 	cf.nat \
 	cf.opera \
@@ -75,6 +78,7 @@
 	bind/debian-edu/named-bind8.conf \
 	bind/debian-edu/named-bind9.conf \
 	courier/authldaprc-debian-edu \
+	courier/imapd-debian-edu.cnf \
 	debian-edu/hd-warn.conf \
 	debian-edu/nightkill.conf \
 	cups/cupsd-debian-edu.conf \
@@ -82,6 +86,8 @@
 	dhcp3/dhcpd-debian-edu.conf \
 	exim/exim-ldap-client.conf \
 	exim/exim-ldap-server.conf \
+	exim4/exim-ldap-client-v4.conf \
+	exim4/exim-ldap-server-v4.conf \
 	filesystems \
 	ldap/slapd-debian-edu.conf \
 	ldap/slapd-sarge_debian-edu.conf \
@@ -110,6 +116,28 @@
 	samba/smb-winbind-debian-edu.conf \
 	security/pam_mount-winbind-debian-edu.conf \
 	krb5-winbind-debian-edu.conf \
+	skel/.kde/share/config/kmailrc \
+	nagios/nagios-debian-edu.cfg \
+	nagios/debian-edu/checkcommands.cfg \
+	nagios/debian-edu/contactgroups.cfg \
+	nagios/debian-edu/contacts.cfg \
+	nagios/debian-edu/dependencies.cfg \
+	nagios/debian-edu/htpasswd.users \
+	nagios/debian-edu/index.html \
+	nagios/debian-edu/main.html \
+	nagios/debian-edu/side.html \
+	nagios/debian-edu/misccommands.cfg \
+	nagios/debian-edu/resource.cfg \
+	nagios/debian-edu/services.cfg \
+	nagios/debian-edu/timeperiods.cfg \
+	nagios/debian-edu/servicetemplates.cfg \
+	nagios/debian-edu/hosttemplates.cfg \
+	nagios/debian-edu/skolelinux_logo.png \
+	nagios/debian-edu/skolelinux_logo_140.png \
+	nagios/debian-edu/hosts/gateway.cfg \
+	nagios/debian-edu/hosts/tjener.cfg \
+	nagios/debian-edu/hostgroups/gateways.cfg \
+	nagios/debian-edu/hostgroups/servers.cfg
 
 LIBFILES = \
 	mime/packages/debian-edu-mailcap
@@ -138,6 +166,12 @@
 	ldap-debian-edu-install \
 	samba-debian-edu-admin \
 	mkslapdcert
+
+VARFILES = \
+	www/index.html.nb \
+	www/index.html.en \
+	www/skl-ren_css.css \
+	www/logo-trans.png
 
 all:
 
@@ -188,6 +222,7 @@
 		share/debian-edu-config/tools/nightkill.sh \
 		share/debian-edu-config/tools/logoutkill.sh \
 		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
+		share/debian-edu-config/tools/ldapdump.sh \
 	; do \
 		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
 	done
@@ -218,6 +253,10 @@
 		echo $(ldapdir)/$$ldif >> debian/conffiles.raw; \
 	done
 
+	for file in $(VARFILES) ; do \
+		$(INSTALL_DATA) var/$$file $(DESTDIR)/var/$$file; \
+	done
+
 	chmod 700 $(DESTDIR)/var/lib/maildirs/
 
 	sort -u debian/conffiles.raw > debian/conffiles
