=== debian/changelog ===
debian-edu-config (0.399) unstable; urgency=low

  [ Bjorn Ove Grotan ]
  * Added administrative password-change utility (tools/jrpasswd)

  [ Morten Werner Olsen ]
  * Added LDAP-database dump script (tools/ldapdump.sh)
  * Added etc/slbackup/pre.d to debian/dirs
  * Added a cfengine-hook that symlinks the tools/ldapdump.sh into
    /etc/slbackup/pre.d/ (fixes debian-edu bug #923)
  * Fixed the permissions on the config-file (pxelinux.cfg/config) for
    PXE-booting.
  * Updated cf/cf.kdm to get a little bit more interesting background for
    the login-screen.
  * Added myself as uploader.
  * Deliver mail to root as the mail-user (not root). This prevented mail
    for root to be delivered.

  [ Petter Reinholdtsen ]
  * Fix typo in testsuite/webcache, using correct argument to find.
  * Close stdin/stdout when restarting the wlan to avoid hanging on
    first time installs.
  * Add LSB init.d headers to document boot time dependencies.
  * Use new script debian-edu-ltsp to build LTSP environment
    using the new LTSP debian packages.
  * Make sure missing sound card don't give a warning dialog box.
  * Make sure testsuite/php is no longer used.  We do not
    install PHP any more.
  * Only run testsuite/{ldap-server,webmin,webserver} on Main-Server
    installs.
  * Only run testsuite/{ldap-client,ntp,webcache} on Main-Server,
    Workstation and Thin-Client-Server installs.
  * Only run testsuite/dhcpd on Main-Server and Thin-Client-Server
    installs.
  * Only report missing kdm and X server as information when running
    the testsuite, as these are started after this point in the
    installation sequence.
  * Start on script ltsp-make-client to convert a LTSP thin client
    chroot to a more complete client installation.

  [ Maximilian Wilhelm ]
  * Added exim4 LDAP configuration for server and client
    (Closes: #276769)

  [ Finn-Arne Johansen ]
  * Added firefox proxy, cache and printer config
  * Fixed detection of 2.4-kernel
  * Included the munin cfengine script, and fixed the munin script
  * Made cfengine-debian-edu work with both cfengine and cfengine2
  * Better detection of group "installation"
  * Replaced all occurences in chengine of "installasjon" with
    "installation"
  * Disabled FifoDir for kdm on non-standalone, to prevent shutdown from
    a logged in session
  * Disabled shutdown from non-local display for kdm (fixes debian-edu
    bug #949)
  * Updateded /etc/samba/slapaddclient.pl because tdbdump is relocated
  * Set up automounting via ldap
  * Disabled listing of hashed password to unauthenticated users
    (fixes debian-edu bug #945)
  * Gave smbadmin access to the Machine Subtree (fixes debian-edu bug #950)
  * Installation script for lessdisks thin client is availible, but does
    not run by default
  * Set up ldap users on lessdisks clients
  * Set a more suited certificate for the postoffice (Closes: #301288)
  * Fixed Typo preventing hidden home dir mounting from Windows server
    Thanks to Bernt Johnsen AFK for discovering
  * Close debconf fd before init-script runs, prevents initscripts
    from runing cleanly (Fixes debian-edu bug: #301565)
  * Made nightkill a bit more quiet
  * Made debian-edu-config Replace,Conflict and Provide ncs
    (fixes debian-edu bug #975)
  * Fixed missing translation from installasjon -> installation in cf.cups
    (Fixes debian-edu bug: #967)
  * Disabled ldap idletimeout, since kdm fails to set up a new connection
  * tftpboot files are moved from /tftpboot into /var/lib/tftpboot,
    rewritten dhcpd.conf, and added script debian-edu-pxelinux.cfg to
    help maintain pxelinux.cfg/default (Partly closes: #905)
  * Fixed typo in tools/ldapdump.sh to remove error-message
  * Added support for using /usr/share/d-e-c/tools/passwd as non-root user
  * Fixed permission on samba passwords for ldap

  [ Ragnar Wisloff ]
  * Corrected cfengine edit line for USE_XFS in cf.ltsp to make LTSP
  * Changed permissions on /etc/skel/.kde/share/config/kmailrc to make
    only user readable. (Fixes debian-edu bug #887)
  * Added cf.sysstat which enables the sysstat system
  * Added Nagios config files and amended cf.nagios to fit. (Fixes
    debian-edu bug #953 and #954).
  * Fixed missing logos from NAgios package.
  * Added UserDir config to cf.apache. Fixes debian-edu bug #639.

  [ Frode Jemtland ]
  * Corrected errors about php4 in cf.apache
  * Updated information about ServerAdmin in cf.apache
  * Added language support for nb, no and nn in cf.apache
  * Commented out mime type nb in cf.apache
  * Fixes skolelinux bug: #938 and #864
  * Added files to /var/www: index.html.nb, index.html.en,
    logo-trans.png, skl-ren_css.css. Fixes debian-edu bug: #942.
  * Fixed typos in html files.

  [ Andreas Schuldei ]
  * extending ldap-debian-edu-install to deal with cases where /etc/shadow
    does not exist (for uml test installations)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 11 Dec 2005 21:00:32 +0100
