=== debian/rules ===
--- 
+++ 
@@ -44,11 +44,13 @@
 	dh_installmodules
 	echo /etc/modutils/debian-edu-config >> debian/conffiles
 	dh_installinit --init-script open-backdoor
+	dh_installinit --init-script boot_xconf
 	dh_installinit --init-script enable-nat
 	dh_installinit --init-script update-hostname
 	dh_installinit --init-script start-wlan
 	dh_installinit --init-script report-reboot -r --no-start
 	echo /etc/init.d/open-backdoor   >> debian/conffiles
+	echo /etc/init.d/boot_xconf      >> debian/conffiles
 	echo /etc/init.d/enable-nat      >> debian/conffiles
 	echo /etc/init.d/update-hostname >> debian/conffiles
 	echo /etc/init.d/start-wlan      >> debian/conffiles
