## debian-edu-config 0.402

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	debian-edu-ltsp debian-edu-pxelinux.cfg
 
 SPROGS = debian-edu-restart-services skolelinux-restart-services \
-	debian-edu-test-install skolelinux-test-install
+	debian-edu-test-install skolelinux-test-install ltsp-make-client
 
 INSTALL     = install -p -m 755
 INSTALL_DATA= install -D -p -m 644
@@ -17,6 +17,7 @@
 bindir     = $(prefix)/bin
 sbindir    = $(prefix)/sbin
 docdir     = $(prefix)/share/doc/$(PACKAGE)
+mandir     = $(prefix)/share/man
 ldapdir    = $(sysconfdir)/ldap
 schemadir  = $(ldapdir)/schema
 dhcp3dir   = $(sysconfdir)/dhcp3
@@ -31,10 +32,10 @@
 	cf.apt \
 	cf.bind8 \
 	cf.bind9 \
+	cf.cfengine \
 	cf.cups \
 	cf.devfsd \
 	cf.dhcpserver \
-	cf.dsp \
 	cf.exim \
 	cf.imap \
 	cf.homes \
@@ -50,6 +51,7 @@
 	cf.munin \
 	cf.nagios \
 	cf.nat \
+	cf.ntp \
 	cf.opera \
 	cf.pcmcia \
 	cf.samba \
@@ -59,13 +61,17 @@
 	cf.squid \
 	cf.ssh \
 	cf.syslog \
+	cf.sysstat \
+	cf.udev \
 	cf.webmin \
-	cfd \
 	cfd.conf \
 	cfengine.conf \
-	cfrunhosts.pl \
 	cf.sarge-installation-cleanup \
 	cf.kdm_hdwarn
+
+CFBINFILES = \
+	cfd \
+	cfrunhosts.pl
 
 # Files to install in /etc/
 SYSCONFFILES = \
@@ -81,6 +87,10 @@
 	courier/imapd-debian-edu.cnf \
 	debian-edu/hd-warn.conf \
 	debian-edu/nightkill.conf \
+	default/backdoor \
+	cfengine/cfservd.conf \
+	cfengine/update.conf \
+	cfengine/inputs/cfagent.conf \
 	cups/cupsd-debian-edu.conf \
 	dhclient-exit-hooks \
 	dhcp3/dhcpd-debian-edu.conf \
@@ -110,13 +120,14 @@
 	pam.d/samba-debian-edu \
 	pam.d/ssh-debian-edu \
 	pam.d/su-debian-edu \
+	usbmount/usbmount-debian-edu.conf \
 	samba/netlogon/login.bat \
 	samba/netlogon/shortcut.vbs \
 	samba/smb-debian-edu.conf \
 	samba/smb-winbind-debian-edu.conf \
 	security/pam_mount-winbind-debian-edu.conf \
+	security/pam_mount-stateless-debian-edu.conf \
 	krb5-winbind-debian-edu.conf \
-	skel/.kde/share/config/kmailrc \
 	nagios/nagios-debian-edu.cfg \
 	nagios/debian-edu/checkcommands.cfg \
 	nagios/debian-edu/contactgroups.cfg \
@@ -168,8 +179,12 @@
 	mkslapdcert
 
 VARFILES = \
+	www/index.html.de \
+	www/index.html.en \
+	www/index.html.es \
+	www/index.html.fr \
 	www/index.html.nb \
-	www/index.html.en \
+	www/index.html.nl \
 	www/skl-ren_css.css \
 	www/logo-trans.png
 
@@ -185,16 +200,30 @@
 	install -d $(DESTDIR)$(dhcp3dir)
 	install -d $(DESTDIR)$(mailcapdir)
 
+# program's manpages are autodetected. 
 	for prog in $(PROGS); do \
 		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
-	done
+		if [ -e "share/man/man1/$$prog.1" ]; \
+		then \
+		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
+		fi \
+	done
+# Using manpages autodetection : 
 	for sprog in $(SPROGS); do \
 		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
+		if [ -e "share/man/man8/$$sprog.8" ]; \
+		then \
+		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
+		fi \
 	done
 	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
 	echo -n > debian/conffiles.raw
 	for cf in $(CFFILES); do \
 		$(INSTALL_DATA) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
+		echo $(cfdir)/$$cf >> debian/conffiles.raw; \
+	done
+	for cf in $(CFBINFILES); do \
+		$(INSTALL) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
 		echo $(cfdir)/$$cf >> debian/conffiles.raw; \
 	done
 
@@ -234,15 +263,18 @@
 		share/debian-edu/common/share/config/konquerorrc \
 		share/debian-edu/common/share/mimelnk/applnk/msword.desktop \
 		share/debian-edu/networked-kde2/share/config/kioslaverc \
-		share/debian-edu/networked-kde2/share/config/kmailrc \
 		share/debian-edu/networked-kde3/share/config/kioslaverc \
-		share/debian-edu/networked-kde3/share/config/kmailrc \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
 
+# Using manpages autodetection : 
 	for program in $(LDAPPROGRAMS) ; do \
 		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
+		if [ -e "share/man/man1/$$program.1" ]; \
+		then \
+		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
+		fi \
 	done
 	for schema in $(SCHEMAS) ; do \
 		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
