=== debian/changelog ===
debian-edu-config (0.402) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Update the resize_lvm init.d script:
    - use MiB instead of LVM PE as size unit.
    - Make sure it is installed in rcS.d/
    - Make sure it isn't started during install nor upgrade.
    - Rename variable MOUNTPOINT to DEVNAME to reflect its content.
    - Use lvextend instead of lvresize to be compatible with LVM 1.x.
      Thanks to Finn-Arne for this idea.
    - Do not include the resize_lvm default file in the package, to
      avoid upgrade problems on installations where it is modified.
  * Update standards-version from 3.6.1 to 3.6.2.

  [ Finn-Arne Johansen ]
  * Added resize_lvm init-script
  * Treat sarge and etch as !woody to simplify scripting with cfengine
  * Keep the slapd config from sarge (not renaming it to "*-!woody_*")
  * Added etch templates for sources.list (maybe it's not needed)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 19 Apr 2006 22:50:02 +0200

debian-edu-config (0.401) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Fix syntax error in boot_xconf.  (Closes: #343457)
  * Achnowledge old upload. (Closes: #301565)
  * Modified the ltsp-make-client script used for building diskless
    workstations:
    - Modify code to rename rc#.d symlinks instead of removing them,
      to avoid them to reappear after an upgrade.
    - Reinsert init.d scripts ifupdown and networking when building
      diskless workstation, to make sure the loopback network interface is
      enabled.
    - Make sure to only update /etc/exports once when executing
      ltsp-make-client several times.
    - Move network interface name into variable to make it easier to
      change.
    - Use the apt location of ltsp-server instead of ltsp-client to
      detect the apt source to use, as the latter might not be
      installed nor available on the server.
    - Add /opt/ltsp instead of /opt/ltsp/i386 to /etc/exports, to be
      compatible with the update done by the ltsp package itself.
  * Add dependency on host to make sure init.d/update-hostname work.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 Mar 2006 13:08:44 +0100

debian-edu-config (0.400) unstable; urgency=low

  [ Patrick Winnertz ]
  * Changed symlink of /bin/sh from /bin/ash to /bin/dash
  * Added shellcommands section in cf.shell in order to invoke dpkg-divert
    --add /bin/sh (Closes Skolelinux Bug #1041)

  [ Benjamin Sonntag ]
  * Added manpages for some binaries in this package. Also added a mechanism
    in Makefile so that /bin /sbin and ldapprograms manpages are autodetected
    and installed too.
  * Added file for backdoor in /etc/default (still disabled by default, but
    useful to know how to fill it)
  * Added documentation in README file for samba ssh and apache.
  * Corrected lintian warning on xboot_conf not having restart and
    reload cases.
  * Added CFBINFILES to Makefile so that cfd and cfrunhosts.pl are now
    executables.

  [ Steffen Joeris ]
    * Distribution umask only in /etc/profile
        (Closes Skolelinux Bug #996)
    * Disable connection settings in courier-imap
      so that the cf.imap is running and the
      courier-imap is not running by default
      (Closes Skolelinux Bug #998)
    * change ntp-configuration to not use pool.ntp.org
      and let the clients search for ntp.intern
      (Closes Skolelinux Bug #1024)
    * Dropping kmail preconfiguration
      (Closes Skolelinux Bug #550 and #1017)
    * Also remove conffiles for kmail from
      /usr/share/debian-edu/* and update Makefile
    * still providing sound permission changes for devfs if someone
      still uses kernel24
    * update Makefile for cf.udev

  [ Henning Sprang ]
  * Now configuring NTP with cfengine (cf/cf.ntp).
    (Closes Skolelinux bug #1024)

  [ Bjorn Ove Grotan ]
  * Fixed typo in tools/jrpasswd

  [ Ragnar Wisloff ]
  * Added example of settings for serial mouse to lts.conf. Fixes #584.

  [ Finn-Arne Johansen ]
  * Fixed typo in when creating pxelinux config for old ltsp
  * Added permissions to set timestamps when passwords was changed
  * Display menu for pxebooting devices if more than one netbooting
    solution is installed
  * Set PATH for ldapdump.sh to properly stop/start slapd.
    (Closes Skolelinux bug #1000)
  * Cleaned up the dependencies of debian-edu-config, only include the
    necesarry packages for installing this package.
  * added HOST variable for talking to the ldap-server
  * Set the correct permission on samba passwords.
    (Closes Skolelinux bug #1007)
  * Added support for doing a netbased installation of ltsp in debian-edu
  * Added support for installing ltsp in another location than /opt/ltsp/i386
  * Extended/rewritten script for creating diskless/stateless workstations
  * Split up the configuration of courier imap, should close
    skolelinux bug #998
  * Added dependency to ng-utils (should close Skolelinux bug #1033)
  * Stopped imap from running on a unencrypted port
  * Removed positive test for imap2 (unencrypted port)
    (closes Skolelinux #1038)
  * Added commented out cfengine code to set up access to local devices
    when logged in via kdm on non-server
    (alternativ fix for Skolelinux #974)
  * Added sample definition for shared folder in samba
  * Added sample config for usbmount
  * Added sample config for pam_mount on stateless clients
  * Added script for making stateless workstations to the package,
    should be ready for testing
  * Added workaround for missing background.png in ltsp-themes
    (Skolelinux #1035)
  * Set up mozilla-firefox to use kprinter and A4 as default. Thanks to
    Klaus Ade Johnstad for finding the bug (and the solution)
    (Closes Skolelinux #1042)
  * use pam_group instead of manipulating the devices to get access to
    local devices
  * ldap-debian-edu-install needs to use bash for now
  * Dont test for a running squid on a thin-client-server. Thanks to
    Ole-Anders Andreassen for finding this bug (Closes Skoleliux #1054)

