=== debian/rules ===
--- 
+++ 
@@ -36,19 +36,20 @@
 	install -d $(DESTDIR)
 	cd $(DESTDIR) && install -d `cat ../dirs`
 	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)
-
 	dh_installdebconf
 	dh_installdocs
 	dh_installdirs
 	dh_installcron
 	dh_installmodules
 	echo /etc/modutils/debian-edu-config >> debian/conffiles
+	dh_installinit --init-script resize_lvm -r --no-start -u"start 32 S ."
 	dh_installinit --init-script open-backdoor
 	dh_installinit --init-script boot_xconf
 	dh_installinit --init-script enable-nat
 	dh_installinit --init-script update-hostname
 	dh_installinit --init-script start-wlan
 	dh_installinit --init-script report-reboot -r --no-start
+	echo /etc/init.d/resize_lvm      >> debian/conffiles
 	echo /etc/init.d/open-backdoor   >> debian/conffiles
 	echo /etc/init.d/boot_xconf      >> debian/conffiles
 	echo /etc/init.d/enable-nat      >> debian/conffiles
